## macaulay2 1.4-r12617uk1

=== Makefile ===
.PHONY : all monitor

VERBOSE = yes

all: check-make check-autoconf configure monitor include/M2/config.h.in.stamp helpful
helpful:
ifeq ($(VERBOSE),yes)
	@echo '--: The configure script in this directory has been prepared.'
	@echo '--: To configure and build Macaulay2:'
	@echo '--: '
	@echo '     mkdir BUILD/normal'
	@echo '     cd BUILD/normal'
	@echo '     ../../configure --prefix=/usr/local'
	@echo '     make install'
	@echo '--: '
	@echo '--: To reconfigure and try again:'
	@echo '--: '
	@echo '     cd BUILD/normal'
	@echo '     make reconfigure install'
	@echo '--: '
	@echo '--: To see all the options to "configure":'
	@echo '--: '
	@echo '     ./configure --help'
	@echo '--: '
endif

MAJOR = 2
MINOR = 62
# version 2.60 was the first one with the macro AC_PROG_MKDIR_P
# version 2.62 is required by the configure.ac in gc/libatomic_ops
AUTOCONF_VERSION = $(MAJOR).$(MINOR)

PATH := autoconf/final/bin:$(PATH)
export PATH

check-make:; @ echo "$(.FEATURES)" | grep order-only >/dev/null || (echo error: version >= 3.81 of GNU make is required >&2; false)
configure : configure.ac config/files # aclocal.m4
	@ set -x ; autoconf

get-autoconf :
	$(MAKE) -f Makefile -C autoconf
	$(MAKE) -f Makefile

rm-autoconf :; $(MAKE) -f Makefile -C autoconf clean

autoconf-absent : autoconf-absent-msg autoconf-msg 
autoconf-absent-msg :
	@ echo "=============================================================================" >&2
	@ echo "Error: the autoconf program is not installed on your system." >&2

autoconf-old : autoconf-old-msg autoconf-msg 
autoconf-old-msg :
	@ echo "=============================================================================" >&2
	@ echo "error: the autoconf program installed on your system (`type autoconf`) is too old." >&2

autoconf-msg :
	@ echo "" >&2
	@ echo "Please install or update autoconf: the version (`autoconf -V | sed -e '1s/.*\([1-9][0-9]*\..*\)/\1/' -e '2,$$d'`) should be at least $(AUTOCONF_VERSION)." >&2
	@ echo "" >&2
	@ echo "Alternatively, type" >&2
	@ echo "" >&2
	@ echo "    make get-autoconf" >&2
	@ echo "" >&2
	@ echo "for a recent version to be downloaded and compiled automatically." >&2
	@ echo "=============================================================================" >&2
	@ false

check-autoconf :
	@ type autoconf >/dev/null || $(MAKE) -f Makefile autoconf-absent
	@ test `autoconf -V | sed -e '1s/.* \([1-9][0-9]*\)\..*/\1/' -e '2,$$d'` -gt $(MAJOR) \
	  || \
	    test `autoconf -V | sed -e '1s/.* \([1-9][0-9]*\)\..*/\1/' -e '2,$$d'`  =  $(MAJOR) \
	    && \
	    test `autoconf -V | sed -e '1s/.*\.\([1-9][0-9]*\).*/\1/' -e '2,$$d'`   -ge $(MINOR) || $(MAKE) -f Makefile autoconf-old

# autoheader's job is to make include/config.h, but if there are no changes, it doesn't touch it, 
# which means "make" will keep trying
include/M2/config.h.in.stamp : configure.ac # aclocal.m4
	autoheader
	touch "$@"

monitor:
	@ if [ ! -f include/config.h.in -a -f include/config.h.in.stamp ]; then set -x; rm include/config.h.in.stamp; fi

count count-source-code-lines:
	find . \( \
	-name BUILD -prune -false -o \
	-name .svn -prune -false -o \
	-name bugs -prune -false -o \
	-name autoconf-\* -prune -false -o \
	-name regex -prune -false -o \
	-name examples -prune -false -o \
	-name test -prune -false -o \
	-name TST -prune -false -o \
	-name EXA -prune -false -o \
	-name ComputationsBook -prune -false -o \
	-name basictests -prune -false -o \
	-name \*.m2 -o \
	-name \*.c -o \
	-name \*.h -o \
	-name \*.hpp -o \
	-name \*.cpp -o \
	-name configure.ac -o \
	-name Makefile.in -o \
	-name Makefile -o \
	-name GNUMakefile \) \
	-not -name bug\* \
	-not -name demo\* \
	-not -name test\* \
	| xargs wc -l > /tmp/$@-$$$$ && \
	egrep -v ' total$$' /tmp/$@-$$$$ && \
	egrep ' total$$' /tmp/$@-$$$$ && \
	egrep ' total$$' /tmp/$@-$$$$ | awk '{sum += $$1}; END { print sum, "grand total" }' && \
	rm /tmp/$@-$$$$


SEARCH=
ifeq ($(SEARCH),)
grep :
	@echo 'usage: make grep SEARCH="regexp"' >&2
	@false
else
grep :
	find . \( -name .svn -o -name BUILD -o -name autom4te.cache \) ! -prune -o -type f | xargs grep -nH -e $(SEARCH) || [ $$? = 123 ]
endif

announce:
	@ echo '-*- compilation; coding: utf-8 -*-'
	@ echo ' -- Macaulay2 compilation:'
	@ echo ' --   Paste this output into an emacs buffer and run M-x compilation-mode'
	@ echo ' --   and then C-C ` (same as M-x next-error) to view the errors.'

TAGS.config : config/files always
	(echo configure.ac ; cat $< | sed 's/$$/.in/') | xargs etags -o $@
always:

diffs :;@ i=1 ; while test -f diffs-$$i ; do i=$$(expr $$i + 1 ) ; done ; svn diff >diffs-$$i ; echo created diffs-$$i

check-vardirs:
	egrep -nH '@(bin|data|include|info|lib|libexec|localstate|man|sbin|sharedstate|sysconf|ps|pdf|dvi|html|locale|doc|dataroot|packages|libm2|emacs|libraries|packagecachecore)dir@' $(shell cat ./config/files | sed 's/$$/.in/')
check-pre-vardirs:
	egrep -nH '@pre_(bin|data|include|info|lib|libexec|localstate|man|sbin|sharedstate|sysconf|ps|pdf|dvi|html|locale|doc|dataroot|packages|libm2|emacs|libraries|packagecachecore)dir@' $(shell cat ./config/files | sed 's/$$/.in/')


# Local Variables:
# mode: Makefile
# compile-command: "make -f Makefile "
# End:

=== BUILD/Makefile ===
pre-install install all reconfigure reconfigure-all status distclean clean::
	for i in * */* ; do if [ -f "$$i"/GNUmakefile ] ; then $(MAKE) -C "$$i" $@ ; fi ; done
distclean clean::; rm -rf CommonStagingArea
upload:; rsync -auv tarfiles/. u00:to/Macaulay2/Downloads/OtherSourceCode/1.3/.

=== autoconf/Makefile ===
# -*- Makefile -*-
# use this Makefile here in the source tree if your autoconf is too old
URL = ftp://ftp.gnu.org/gnu/autoconf
VERSION = 2.64
include Makefile.library.manual
all ::; @echo autoconf is now available as ./final/bin/autoconf
clean ::; rm -rf final

=== config/Makefile ===
# /ftp@ftp.gnu.org:/gnu/config/

update-files:
	rm -f config.guess* config.sub*
	wget http://savannah.gnu.org/cgi-bin/viewcvs/*checkout*/config/config/config.guess
	wget http://savannah.gnu.org/cgi-bin/viewcvs/*checkout*/config/config/config.sub
	chmod a+x config.sub config.guess

=== projects/Makefile ===
include ../../Makefile.include
all: update ci comments index-new
update:;	svn update
ci:;		svn ci -m 'update projects'
comments:;	egrep -l '^Title:' [a-z]* | while read f ; do egrep '^Title:' $$f | sed 's/^Title: *//' > $$f.comment ; done
index-new:;	umask 2; index-new-html -l -s

=== BUILD/david/Makefile ===
CC = gcc -m64
CXX = g++ -m64
all:
	$(MAKE) -C build.tmp all install
configure:
	cd ../..; make
	mkdir -p build.tmp
	cd build.tmp ; ../../../configure --prefix=`pwd`/install --enable-download CC="$(CC)" CXX="$(CXX)"
veryclean :
	rm -rf build.tmp

=== BUILD/mike/Makefile ===
# checking out the source code:
#
#      svn co svn://Macaulay2.math.uiuc.edu/Macaulay2/trunk/M2 M2

.PHONY: always

always:

opt64 : always
	mkdir -p opt64
	cd opt64; ../../../configure \
		--prefix="`pwd`/installed" \
		CC="gcc -m64" CXX="g++ -m64" \
		--build=x86_64-apple-darwin \
		--disable-strip \
		--enable-download \
		--enable-dmg \
		--enable-build-libraries="gc gdbm mpir mpfr readline ntl factory libfac frobby pari"

debug64 : always
	mkdir -p debug64
	cd debug64; ../../../configure \
		--prefix="`pwd`/installed" \
		CC="gcc -m64" CXX="g++ -m64" \
		--build=x86_64-apple-darwin \
		--enable-debug \
		--disable-optimize \
		--enable-download \
		--enable-build-libraries="gc gdbm mpir mpfr readline ntl factory libfac frobby pari"

debug64nofrobby : always
	mkdir -p debug64
	cd debug64; ../../../configure \
		--prefix="`pwd`/installed" \
		CC="gcc -m64" CXX="g++ -m64" \
		--with-mpir-config-options="ABI=64" \
		--build=x86_64-apple-darwin \
		--enable-debug \
		--disable-optimize \
		--enable-download \
		--disable-frobby \
		--enable-build-libraries="gc gdbm mpir mpfr readline ntl factory libfac pari"

profile64 : always
	mkdir -p profile64
	cd profile64; ../../../configure \
		--prefix="`pwd`/installed" \
		CC="gcc -m64" CXX="g++ -m64" \
		--build=x86_64-apple-darwin \
		--enable-profile \
		--enable-download \
		--enable-build-libraries="gc gdbm mpir mpfr readline ntl factory libfac frobby pari"

tiger32 : always
	mkdir -p tiger32
	cd tiger32; LDFLAGS=-static-libgcc ../../../configure \
		--prefix="`pwd`/installed" \
		--enable-dmg \
		--enable-download \
		--enable-build-libraries="gc gdbm mpir mpfr readline ntl factory libfac frobby pari"

darwin32 : always
	mkdir -p darwin32
	cd darwin32;  ../../../configure \
		CC="gcc -m32" CXX="g++ -m32" \
		--build=i586-apple-darwin \
		--prefix="`pwd`/installed" \
		--enable-dmg \
		--enable-download \
		--enable-build-libraries="gc gdbm mpir mpfr readline ntl factory libfac frobby pari"
#		--build=i386-apple-darwin9 \
#		--enable-python
# LDFLAGS=-shared-libgcc



debug32 : always
	mkdir -p debug32
	cd debug32; ../../../configure \
		--prefix="`pwd`/installed" \
		--enable-debug \
		--disable-optimize \
		--enable-download \
		LDFLAGS="-L/Users/mike/local/software/sage/sage-3.4/local/lib" \
		CPPFLAGS="-I/Users/mike/local/software/sage/sage-3.4/local/include" \
		--enable-python --with-libpython=/Users/mike/local/software/sage/sage-3.4/local/lib/python2.5/config/libpython2.5.a \
		--enable-build-libraries="gc gdbm mpir mpfr readline ntl factory libfac frobby"

profile32 : always
	mkdir -p profile32
	cd profile32; ../../../configure \
		--prefix="`pwd`/installed" \
		--enable-profile \
		--enable-download \
		--enable-build-libraries="gc gdbm mpir mpfr readline ntl factory libfac frobby pari"

# icc versions
icc-darwin :
	mkdir -p icc-darwin
	cd icc-darwin; ../../../configure \
		--prefix="`pwd`/installed" \
		CC="icc" CXX="icpc" \
		--enable-scscp \
		--enable-dmg \
		--enable-download \
		--enable-build-libraries="gc gdbm mpir mpfr readline ntl factory libfac pari"

# These are for use on linux/ubuntu/redhat

opt : always
	mkdir -p opt
	cd opt;	../../../configure \
		--prefix="`pwd`/installed" \
		--enable-tarfile \
		--enable-download \
		--enable-build-libraries="gc gdbm mpir mpfr readline ntl factory libfac lapack frobby pari"

opt64-ubuntu : always
	mkdir -p opt
	cd opt;	../../../configure \
		--prefix="`pwd`/installed" \
		--build=x86_64-unknown-linux-gnu \
		--enable-tarfile \
		--enable-scscp \
		--enable-download \
		--enable-build-libraries="gc gdbm mpir mpfr readline ntl factory libfac lapack frobby pari"

icc-ubuntu64 :
	mkdir -p icc-opt
	cd icc-opt; ../../../configure \
		--prefix="`pwd`/installed" \
		CC="icc" CXX="icpc" \
		--enable-tarfile \
		--enable-scscp \
		--enable-download \
		--enable-build-libraries="gc gdbm mpir mpfr readline ntl factory libfac pari"
  # ntl hangs on ./MakeDesc, so workaround:
  # cd libraries/ntl/build/ntl-5.5.2/src/
  # make CFLAGS=-g
icc-debug : always
	mkdir -p icc-debug
	cd icc-debug; ../../../configure \
		CC="icc" CXX="icpc" \
		--prefix="`pwd`/installed" \
		--enable-debug \
		--disable-optimize \
		--enable-download \
		--enable-build-libraries="gc gdbm mpir mpfr readline ntl factory libfac lapack frobby pari"


debug : always
	mkdir -p debug
	cd debug; ../../../configure \
		--prefix="`pwd`/installed" \
		--enable-debug \
		--disable-optimize \
		--enable-download \
		--enable-build-libraries="gc gdbm mpir mpfr readline ntl factory libfac lapack frobby pari"

profile : always
	mkdir -p profile
	cd profile; ../../../configure \
		--prefix="`pwd`/installed" \
		--enable-profile \
		--enable-download \
		--enable-build-libraries="gc gdbm mpir mpfr readline ntl factory libfac lapack frobby pari"

profile64-ubuntu : always
	mkdir -p profile
	cd profile; ../../../configure \
		--prefix="`pwd`/installed" \
		--build=x86_64-unknown-linux-gnu \
		--enable-profile \
		--enable-download \
		--enable-build-libraries="gc gdbm mpir mpfr readline ntl factory libfac lapack frobby pari"

upload : always
	scp darwin64/*.dmg u00.math.uiuc.edu:/home/html/www/Macaulay2/Uploads
	scp opt32/*.dmg u00.math.uiuc.edu:/home/html/www/Macaulay2/Uploads

=== Macaulay2/nash/Makefile ===
# we set this to agree
SHELL = /bin/sh
export SHELL

NASH = ./nash

# transparent gdb string
TGDB = env OLDSHELL=$(SHELL) SHELL=$(NASH) gdb
GDBARGS = -batch -nx -x gdb.commands --args
GDBSED = sed -e '/^$$/d' -e '/Program exited normally./d'


# strange result with this environment variable:
#  export i=foo

CFLAGS = -g -Wall
LDFLAGS = -L.
LDLIBS = -lenv
PROGS = nash printenv unsetenv args
all : nash
all : nash printenv unsetenv
nash unsetenv : libenv.a
check : diff1 diff2 diff3 diff4 test1 
test1 : nash;			$(NASH) -c "exec echo hi there"
clean :;			rm -f nash printenv unsetenv \
				  args.nash args.nonash args.gdb \
				  env.nash env.nonash env.gdb setenv3.o \
				  unsetenv3.o libenv.a
ci :;				cvs ci -m ''

# libenv
libenv.a : unsetenv3.o setenv3.o ; ar ru $@ $? ; ranlib $@

# bash always sets "_" to argv[0], so we simulate that when bash is out of the picture
export _ = ./printenv
# ENV = env _=./printenv
# ENV = env

# someone sets LINES to 24, so we do, too
export LINES = 24

# check whether the environment variables are undisturbed
diff1 : env.nonash env.nash;	diff $^ || true
diff2 : env.nonash env.gdb;	diff $^ || true
env.gdb env.nash env.nonash : $(PROGS)
	$(ENV) ./printenv >env.nonash ; $(ENV) $(NASH) -c "exec ./printenv" >env.nash ; $(ENV) $(TGDB) $(GDBARGS) ./printenv |$(GDBSED) >env.gdb

# check whether argv[0] is undisturbed
ENV2 = env _=./printenv OLDARG0=./args
diff3 : args.nonash args.nash;	diff $^ || true
diff4 : args.nonash args.gdb;	diff $^ || true
args.nonash : $(PROGS);		./args a 'b c' 2>$@
args.nash : $(PROGS);		$(ENV2) $(NASH) -c "exec ./args a 'b c'" 2>$@
args.gdb : $(PROGS);		$(ENV2) $(TGDB) $(GDBARGS) ./args a 'b c' 2>&1 |$(GDBSED) >$@

=== BUILD/mike/darwin64/Makefile ===
all :
	../../../configure \
		--prefix="`pwd`/installed" \
		CC="gcc -m64" CXX="g++ -m64" \
		--build=x86_64-apple-darwin \
		--enable-scscp \
		--enable-dmg \
		--enable-download \
		--enable-build-libraries="gc gdbm mpir mpfr readline ntl factory libfac frobby pari"

=== Macaulay2/packages/Schubert2/Makefile ===
M = ~/src/M2/1.2/BUILD/dan/builds/ubuntu32/M2
STOP = --stop --no-loaddata
demo :
	$M $(STOP) --no-debug -e 'input "demo.m2"; exit 0' </dev/null
	$M $(STOP) --no-debug -e 'input "demo2.m2"; exit 0' </dev/null
	$M $(STOP) --no-debug -e 'input "demo3.m2"; exit 0' </dev/null
	$M $(STOP) --no-debug -e 'input "test-dan.m2"; exit 0' </dev/null
#	$M $(STOP) --no-debug -e 'input "test-mike.m2"; exit 0' </dev/null

download :
	wget -rLN http://www.math.sunysb.edu/~sorin/online-docs/schubert/schubertmanual.txt
	wget -rLN http://rasmus.uib.no/People/nmasr/schubert/ALPHA/schubert-0.996easter.tar.gz
#	wget http://math.uib.no/schubert/0.996/schubert-0.996.tar.gz
#	wget http://math.uib.no/schubert/0.992/schubert/schubertmanual

=== BUILD/dan/farm/debian64-5/Makefile ===
# debian 64:
# apt-get install openssh-server subversion 
SSHPORT = 2227
RDPPORT = 3391
ISO = debian-500-amd64-netinst.iso
URL = http://cdimage.debian.org/debian-cd/5.0.0/amd64/iso-cd/$(ISO)
include ../Makefile.machine

=== BUILD/dan/farm/ubuntu64/Makefile ===
# ubuntu64

SSHPORT = 3001
RDPPORT = 3002
VERSION = 10.10
ISO = ubuntu-$(VERSION)-alternate-amd64.iso
URL = http://mirror.anl.gov/pub/ubuntu-iso/CDs/$(VERSION)/$(ISO)
# see also http://mirror.anl.gov/pub/ubuntu-iso/CDs/10.10/ubuntu-10.10-alternate-i386.iso
include ../Makefile.machine

=== debian/changelog ===
macaulay2 (1.4-r12617uk1) unstable; urgency=low

  * New upstream release

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Tue, 22 May 2012 11:16:49 +0000

macaulay2 (1.2r8725-1uk5) unstable; urgency=low

  * last fix

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Tue, 09 Jun 2009 19:23:41 +0000

macaulay2 (1.2r8725-1uk4) unstable; urgency=low

  * another emacs fix

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Tue, 09 Jun 2009 18:14:44 +0000

macaulay2 (1.2r8725-1uk3) unstable; urgency=low

  * next emacs fix

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Tue, 09 Jun 2009 15:12:50 +0000

macaulay2 (1.2r8725-1uk2) unstable; urgency=low

  * emacs fix

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Tue, 09 Jun 2009 05:31:59 +0000

macaulay2 (1.2r8725-1uk1) unstable; urgency=low

  * New upstream release

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Fri, 05 Jun 2009 09:08:53 +0000

macaulay2 (1.2r8438-1uk1) unstable; urgency=low

  * New upstream release

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Fri, 05 Jun 2009 07:18:07 +0000

macaulay2 (2008.02.21.1.1-1uk1) unstable; urgency=low

  * New upstream release

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Mon, 01 Dec 2008 17:52:09 +0000

macaulay2 (0.9.2-5) unstable; urgency=low

  * dapper rebuild

 -- Debuild User <debuild@uni-klu.ac.at>  Sun, 30 Apr 2006 17:52:38 +0200

macaulay2 (0.9.2-4) unstable; urgency=low

  * ubuntu rebuild

 -- Debian package build user <debuild@uni-klu.ac.at>  Tue, 24 May 2005 19:13:54 +0200

macaulay2 (0.9.2-3) unstable; urgency=low

  * add init script for memory map regeneration on reboot

 -- Debian package build user <root@lxsrv2.sci.uni-klu.ac.at>  Mon, 15 Nov 2004 16:54:11 +0000

macaulay2 (0.9.2-2) unstable; urgency=low

  * uni-klu/sarge rebuild

 -- Debian package build user <debuild@lxsrv2.sci.uni-klu.ac.at>  Fri,  1 Oct 2004 07:00:07 +0000

macaulay2 (0.9.2-1) unstable; urgency=low

  * Initial Release.

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Sat, 27 Dec 2003 22:57:39 +0100

=== debian/control ===
Source: macaulay2
Section: math
Priority: optional
Maintainer: Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>
Build-Depends: debhelper (>> 3.0.0), libgc-dev, dpatch (>> 1.11), libntl-dev (>> 5.3.1), g++, libgdbm-dev, dpatch, time, libncurses-dev, libpari-dev, libglpk-dev, libntl-dev, libgdbm-dev, gfortran, bison, time, flex, libxml2-dev, gcc-4.5, g++-4.5
Standards-Version: 3.5.2

Package: macaulay2
Architecture: any
Depends: ${shlibs:Depends}, macaulay2-common
Suggests: macaulay2-doc, macaulay2-emacsen
Description: Computational Algebraic Geometry System
 Macaulay 2 is a software system for algebraic geometry research, written by
 Daniel R. Grayson and Michael E. Stillman with generous support of the
 National Science Foundation, for which we thank them.

Package: macaulay2-common
Architecture: all
Suggests: macaulay2-doc, macaulay2-emacsen
Description: Computational Algebraic Geometry System - Architecture independent files.
 Macaulay 2 is a software system for algebraic geometry research, written by
 Daniel R. Grayson and Michael E. Stillman with generous support of the
 National Science Foundation, for which we thank them.

Package: macaulay2-doc
Architecture: all
Description: Documentation for macaulay2
 Computational Algebraic Geometry System

Package: macaulay2-emacsen
Architecture: all
Description: Emacs mode for macaulay2
 Computational Algebraic Geometry System

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif


build-arch:  build-arch-stamp
build-arch-stamp:
	dh_testdir

	# Add here command to compile/build the package.
	autoheader
	autoconf
	$(MAKE) configure
	mkdir -p build-root
	cd build-root;CC=gcc-4.5 CPP=cpp-4.5 CXX=g++-4.5 ../configure --enable-download
	cd build-root; $(MAKE) all

	touch build-arch-stamp

build-indep: build-root/config.status  build-indep-stamp
build-indep-stamp:
	dh_testdir

	# Add here command to compile/build the arch indep package.
	# It's ok not to do anything here, if you don't need to build
	#  anything for this package.
	#/usr/bin/docbook-to-man debian/macaulay2.sgml > macaulay2.1

	touch build-indep-stamp

build: build-arch build-indep

clean: 
	dh_testdir
	dh_testroot
	rm -f *stamp 

	# Add here commands to clean up after the build process.
	rm -rf build-root
	rm -rf debian/macaulay2
	rm -rf debian/macaulay2-doc
	rm -rf debian/macaulay2-emacsen
	rm -rf debian/tmp
	rm -f debian/book.pdf
	rm -rf BUILD/tarfiles
	find . -name build-old -exec rm -rf {} \;
	rm -rf StagingArea
	find . -name "*.o" -exec rm -f {} \;


	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	
	# Add here commands to install the package into debian/macaulay2.
	cd build-root; $(MAKE) install prefix=$(CURDIR)/debian/tmp/usr
	mkdir -p $(CURDIR)/debian/tmp/usr/share/man/man1
#	cp debian/M2.1 $(CURDIR)/debian/tmp/usr/share/man/man1/
	mkdir -p $(CURDIR)/debian/tmp/usr/share/emacs/site-lisp/macaulay2/
	cd build-root; mv $(CURDIR)/debian/tmp/usr/share/emacs/site-lisp/*.el $(CURDIR)/debian/tmp/usr/share/emacs/site-lisp/macaulay2
	cd build-root; mv $(CURDIR)/debian/tmp/usr/share/emacs/site-lisp/M2* $(CURDIR)/debian/tmp/usr/share/emacs/site-lisp/macaulay2
	#cp  $(WORKDIR)/Macaulay2/emacs/* $(CURDIR)/debian/tmp/usr/share/emacs/site-lisp/macaulay2/
	#cat $(WORKDIR)/Macaulay2/emacs/M2-init.el.in | sed -e "s,@prefix@,/usr/lib/," | sed -e "s,@PACKAGE_VERSION@,$(VER)," > $(CURDIR)/debian/tmp/usr/share/emacs/site-lisp/macaulay2/M2-init.el
	cd debian; uudecode book.pdf.uu; mkdir -p $(CURDIR)/debian/tmp/usr/share/doc/macaulay2-doc/; cp book.pdf $(CURDIR)/debian/tmp/usr/share/doc/macaulay2-doc/
	dh_movefiles

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
#	dh_installdebconf -i
	dh_installdocs -i
	dh_installexamples -i
	dh_installmenu -i
#	dh_installlogrotate -i
	dh_installemacsen 
#	dh_installpam -i
#	dh_installmime -i
#	dh_installinit -i
	dh_installcron -i
	dh_installman -i
	dh_installinfo -i
#	dh_undocumented -i
	dh_installchangelogs  -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
#	dh_perl -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
#	dh_installdebconf -a
	dh_installdocs -a
	dh_installexamples -a
	dh_installmenu -a
#	dh_installlogrotate -a
#	dh_installemacsen -a
#	dh_installpam -a
#	dh_installmime -a
	dh_installinit -a
	dh_installcron -a
#	dh_installman -a
	dh_installinfo -a
#	dh_undocumented -a
	dh_installchangelogs  -a
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
#	dh_makeshlibs -a
	dh_installdeb -a
#	dh_perl -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install unpack
